### Constructor

# GimpUi ItemChooser new

since: 3.2

#### Declaration [src]

    GtkWidget*
    gimp_item_chooser_new (
      const gchar* title,
      const gchar* label,
      GType item_type,
      GimpItem* item
    )

#### Description [src]

Creates a new `GtkWidget` that lets a user choose a item which must be of type `item_type`. `item_type` of values `G_TYPE_NONE` and `GIMP_TYPE_ITEM` are equivalent. Otherwise it must be a subtype of `GIMP_TYPE_ITEM`.

When `item` is `NULL`, initial choice is from context.

Available since: 3.2

#### Parameters

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to use the default title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Button label or `NULL` for no label.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`item_type`

  Type: `GType`

  The acceptable subtype of choosable items.

`item`

  Type: `GimpItem`

  Initial item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A [class@GimpUi.ItemChooser.

The data is owned by the called function.